DeltaSession7 (Apache Geode 1.5.0)
Date: 2018-03-30

org.apache.geode.modules.session.catalina

## Class DeltaSession7

- java.lang.Object
- - org.apache.catalina.session.StandardSession
  - - org.apache.geode.modules.session.catalina.DeltaSession
    - - org.apache.geode.modules.session.catalina.DeltaSession7

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.http.HttpSession, org.apache.catalina.Session, DataSerializable, Delta, org.apache.geode.internal.size.Sizeable, GatewayDelta, DeltaSessionInterface

      public class DeltaSession7
      extends DeltaSession

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.geode.DataSerializable

      `DataSerializable.Replaceable`

  - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.session.StandardSession

      `accessCount, ACTIVITY_CHECK, attributes, authType, creationTime, EMPTY_ARRAY, excludedAttributes, expiring, facade, id, info, isNew, isValid, lastAccessedTime, listeners, manager, maxInactiveInterval, NOT_SERIALIZED, notes, principal, sessionContext, sm, support, thisAccessedTime`

    - ### Fields inherited from interface org.apache.geode.modules.gatewaydelta.GatewayDelta

      `GATEWAY_DELTA_REGION_NAME`

    - ### Fields inherited from interface org.apache.geode.internal.size.Sizeable

      `PER_OBJECT_OVERHEAD`

    - ### Fields inherited from interface org.apache.catalina.Session

      `SESSION_ACTIVATED_EVENT, SESSION_CREATED_EVENT, SESSION_DESTROYED_EVENT, SESSION_PASSIVATED_EVENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeltaSession7()` Construct a new `Session` associated with no `Manager`.
    `DeltaSession7(org.apache.catalina.Manager manager)` Construct a new Session associated with the specified Manager.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.modules.session.catalina.DeltaSession

      `abort, applyAttributeEvents, commit, expire, fromData, fromDelta, getAttribute, getAttributes, getAttributesFieldObject, getContextName, getCurrentGatewayDeltaEvent, getExpired, getOperatingRegion, getPrincipal, getSerializedAttributes, getSession, getSizeInBytes, hasDelta, invalidate, isCommitEnabled, localDestroyAttribute, localUpdateAttribute, logError, processExpired, removeAttribute, serialize, setAttribute, setCurrentGatewayDeltaEvent, setMaxInactiveInterval, setOwner, setPrincipal, toData, toDelta, toString`

    - ### Methods inherited from class org.apache.catalina.session.StandardSession

      `access, activate, addSessionListener, endAccess, exclude, expire, fireContainerEvent, fireSessionEvent, getAttributeNames, getAuthType, getCreationTime, getId, getIdInternal, getInfo, getLastAccessedTime, getLastAccessedTimeInternal, getManager, getMaxInactiveInterval, getNote, getNoteNames, getServletContext, getSessionContext, getValue, getValueNames, isAttributeDistributable, isNew, isValid, isValidInternal, keys, passivate, putValue, readObject, readObjectData, recycle, removeAttribute, removeAttributeInternal, removeNote, removeSessionListener, removeValue, setAttribute, setAuthType, setCreationTime, setId, setId, setManager, setNew, setNote, setValid, tellNew, writeObject, writeObjectData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.modules.session.catalina.DeltaSessionInterface

      `activate, isValid`

    - ### Methods inherited from interface org.apache.catalina.Session

      `access, addSessionListener, endAccess, expire, getAuthType, getCreationTime, getId, getIdInternal, getInfo, getLastAccessedTime, getLastAccessedTimeInternal, getManager, getMaxInactiveInterval, getNote, getNoteNames, recycle, removeNote, removeSessionListener, setAuthType, setCreationTime, setId, setId, setManager, setNew, setNote, setValid`

- - ### Constructor Detail

    - #### DeltaSession7

          public DeltaSession7()

      Construct a new `Session` associated with no `Manager`. The `Manager` will be assigned later using `DeltaSession.setOwner(Object)`.

    - #### DeltaSession7

          public DeltaSession7(org.apache.catalina.Manager manager)

      Construct a new Session associated with the specified Manager.
      Parameters:
        `manager` - The manager with which this Session is associated